package com.zd.alarm.service;

import com.zd.alarm.domain.AlarmLog;

import java.util.List;
import java.util.Map;

/**
 * 电话报警推送日志Service接口
 *
 * @author liubo
 * @date 2021-11-11
 */
public interface IAlarmLogService {
    /**
     * 查询电话报警推送日志
     *
     * @param id 电话报警推送日志主键
     * @return 电话报警推送日志
     */
    public AlarmLog selectAlarmLogById(Long id);

    /**
     * 查询电话报警推送日志列表
     *
     * @param alarmLog 电话报警推送日志
     * @return 电话报警推送日志集合
     */
    public List<AlarmLog> selectAlarmLogList(AlarmLog alarmLog);

    /**
     * 新增电话报警推送日志
     *
     * @param alarmLog 电话报警推送日志
     * @return 结果
     */
    public int insertAlarmLog(AlarmLog alarmLog);

    /**
     * 修改电话报警推送日志
     *
     * @param alarmLog 电话报警推送日志
     * @return 结果
     */
    public int updateAlarmLog(AlarmLog alarmLog);

    /**
     * 批量删除电话报警推送日志
     *
     * @param ids 需要删除的电话报警推送日志主键集合
     * @return 结果
     */
    public int deleteAlarmLogByIds(Long[] ids);

    /**
     * 删除电话报警推送日志信息
     *
     * @param id 电话报警推送日志主键
     * @return 结果
     */
    public int deleteAlarmLogById(Long id);

    List<AlarmLog> selectNoBackAlarmLogList(Map<String, Object> params);
}
